package org.foxarmy.barcodescannerforemployees.dataclasses

import android.os.Parcel
import android.os.Parcelable

class Product() : Parcelable {
    var abstractProductId = 0
    var amount = 0


    constructor(abstractProductId: Int, amount: Int) : this() {
        this.abstractProductId = abstractProductId
        this.amount = amount
    }

    constructor(parcel: Parcel) : this() {
        abstractProductId = parcel.readInt()
        amount = parcel.readInt()
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeInt(abstractProductId)
        parcel.writeInt(amount)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<Product> {
        override fun createFromParcel(parcel: Parcel): Product {
            return Product(parcel)
        }

        override fun newArray(size: Int): Array<Product?> {
            return arrayOfNulls(size)
        }
    }

}